<template>
  <!-- 修改通知信息 -->
  <div id="contractDetails">
    <page-title>编辑</page-title>
    <div class="main">
      <span class="text">通知信息</span>
    </div>
    <div class="contractTitle">
      <div class="form-box">
        <div class="form-one">
          <dil-form :formId="369" v-model="form1"></dil-form>
        </div>
      </div>
    </div>

    <div class="button-box">
      <el-button type="primary" @click="onClickConfirm">确认</el-button>
      <el-button @click="onClickCancel">返回</el-button>
    </div>
  </div>
</template>




<script>



import PageTitle from "@/components/Page/Title";
export default {
  components: { PageTitle },
  data() {
    return {
      form1: {},
    };
  },

  mounted() {
    console.log(this.$route)
    this.information();
  },
  methods: {
    information() {
      //编辑
      this.axios
        .post(
          "/api/v1/ams/getNoticeById/" +
          this.$route.params.noticeId
        )
        .then((res) => {
          console.log(res)
          res.data.data.forEach((e) => {
            this.form1 = e;
            console.log(e);
            console.log(this.form1);
            console.log(this.$route.params.noticeId);
          });
        });
    },
    // 返回
    onClickCancel() {
      this.$router.go(-1);
    },
    // 确认
    onClickConfirm() {
      console.log(this.form1)
      let DilNotice = {
        noticeId:this.form1.noticeId,
        insertTime:this.form1.insertTime,
        insertUsername:this.form1.insertUsername,
        noticeContent:this.form1.noticeContent,

      };
      this.axios
        .post(
          "/api/v1/ams/updateNotice",
          DilNotice
        )
        .then((res) => {
          if (res.data.code == "200") {
            this.$router.go(-1);
          }
        });
    },
  },
};
</script>
<style lang="scss" scoped>
.form-box,
.from {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 5px;
  margin-bottom: 20px;
}
.button-box{
  display: flex;
  text-align: center;
  align-items: center;
  justify-content: center;
  margin-top: 0.3125rem;
  margin-bottom: 1.25rem;
}
</style>

<style>

.el-textarea__inner{
/*  width: 300px !important;*/
  min-height:250px !important;
}


</style>




